Earlier in our docs is an overview of our Know Your Business [here](https://developer.incode.com/docs/ekyb). Now, this page is focused specifically on eKYB in the France (FR). eKYB in GB leverages the government sources of truth to validate the legitimacy of businesses, including their taxID (either Vat No or Reg No), business name, business address, along with UBOs.

Note: only available in Incode demo environment today, not available in production. If interested, please contact Incode's customer support.

# Integration

## User input flow

eKYB user input flow example

## Module Configuration

Module configuration gives various options to specify different KYB criteria you would like to check (eg. Business name, Business Address, and Business taxID).

KYB module configuration

## Direct API Approach

All module configurations and user data can be forwarded directly in the request for performing an KYB search. This will override existing configuration and data collected about the user.

> 📘  
>  ### API Authentication  
>  All endpoints require authentication headers to be specified as stated in [Incode API Documentation](https://developer.incode.com/reference/introduction)

### [**KYB request**](https://developer.incode.com/reference/externalverificationekyb)

**POST /omni/externalVerification/ekyb**

This endpoint performs an KYB check for the business specified. Note: Endpoint can have empty body {} and in that case information will be pulled from module configuration and session details.

- **plugins: must be["ekyb"]**: (mandatory)
- **businessName:**: (mandatory) String. Name of the business.
- **street**: (optional) String. Street name of the business.
- **houseNo**: (optional) String. Building or house number on the street.
- **addressLine2**: (optional) String. Address line 2 of the business. (eg. apartment or unit number)
- **city**: (optional) String. City of the business of the business address.
- **country**: (mandatory) String. Two letter Alpha-2 country code. (Must be CM)
- **taxId**: (mandatory) String. Tax ID of the business (VatNo or RegNo) - NIF – Numéro d’Identification Fiscale, Typically alphanumeric

**Note:** The country parameter is used to limit business validation to that specific region. We will only validate a business established in the country selected in the eKYB request.

JSX

```jsx
REQUEST FORMAT EXAMPLE
{
  "plugins" : ["ekyb"], //required field
  "businessName" : "Equatorial Beverages Ltd.", //required field
  "street" : "Rue de la République, Bonanjo",
  "houseNo" : "",
  "addressLine2" : "",
  "city" : "Douala",
  "country" : "CM", //required field
  "taxId" : "CM0000087219", //required field
}
```

### Response

All module configurations and user data can be forwarded directly in the request for performing an eKYB search. This will override existing configuration and data collected about the user.

JSX

```jsx
RESPONSE EXAMPLE

"kyb": [\
    {\
      "key": "name",\
      "sub_label": "Verified"\
    },\
    {\
      "key": "tin",\
      "sub_label": "Verified",\
      "reasonCodes": [\
       \"REGNO\"\
      ]\
    },\
    {\
      "key": "address_verification",\
      "sub_label": "Verified"\
    },\
    {\
      "key": "cityMatch",\
      "sub_label": "Verified"\
    },\
    {\
      "key": "registrationStatus",\
      "sub_label": "Active"\
    },\
    {\
      "key": "entityType",\
      "sub_label": "Société à Responsabilité Limitée (SARL)"\
    }\
}\
```

| Cameroon API Key | Status | Definition |
| --- | --- | --- |
| name | Verified, Approximate Match, Unverified | Submitted business name is verified, approximate match, or unverified against the business name associated with the business Tax ID in the government database. |
| tin | Found, Not Found | Submitted Tax ID is found or not found in the government database. |
| address_verification | Verified, Approximate Match, Unverified | Submitted address is verified, approximate match, or unverified against the address associated with the business Tax ID in the government database. |
| cityMatch | Verified, Approximate Match, Unverified | Submitted city is verified, approximate match, or unverified against the address associated with the business taxID in the government database. |
| postalCodeMatch | Verified, Unverified | Submitted postal code is verified, approximate match, or unverified against the address associated with the business taxID in the government database. |
| registrationStatus | Active, Inactive, Unknown | Active: This occurs if the registration status of the business is active.  
Inactive: This occurs if the registration status of the business is suspended or inactive or if the business no longer exists.  
Unknown: This occurs if the registration status of the business is not available. |
| entityType | Legal entity type of the business | This displays the legal entity type of the company, if available, from an official source. If not available, “Unknown” is displayed. |
| ubo_name_match | Verified, Approximate Match, Unverified | Submitted UBO is an exact match against the UBO associated with the business Tax ID in the government database.  
In situations where user has submitted multiple ubo names to be verified against the government source of truth, you will see additional fields called ubo_name_match.  
You can distinguish ubo_name_match when looking at uboName_input |
| directors_name_match | Verified, Approximate Match, Unverified | Submitted Directors is an exact match against the Directors associated with the business Tax ID in the government database.  
In situations where user has submitted multiple ubo names to be verified against the government source of truth, you will see additional fields called directors_name_match.  
You can distinguish directors_name_match when looking at directorsName_input |

Learning more about _Approximate Match_ : Approximate Match is generated through Incode's proprietary fuzzy matching algorithm. If approximate match is returned, the algorithm has identified a similar match with the string submitted in relation to the string stored in the government source of truth for a particular field. Approximate Match is returned when exact matches are not possible due to misspellings, typographical errors, or slight variations in input data.

### [**KYB error responses**](https://developer.incode.com/docs/cameroon-ekyb)

Please refer to [error response](https://developer.incode.com/reference/introduction#api-responses) to see conventional HTTP response codes to indicate the success or failure of an API request.

Custom 400 error messages if businessName, taxId, or country is “ “ or null:

message: businessName, taxId, and country are minimum required fields.

## Single Session Dashboard Results

They are available on Single Session view under _Business_ tab

eKYB results

Updated19 days ago
